PowerPoint7ParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
PowerPoint7ParserInternal::State Struct Reference

Internal: the state of a PowerPoint7Parser. More...

## Public Member Functions
| State ()
| constructor More...
void | addSlide (PowerPoint7Struct::SlideId const &sId, PowerPoint7Struct::SlideId const &mId)
| add a slide More...
void | pushSlideId (PowerPoint7Struct::SlideId const &id)
| push a new slide id More...
void | popSlideId ()
| pop a slide id More...
void | pushColorList (std::vector< MWAWColor > const &colorList)
| push a new slide id More...
void | popColorList ()
| pop a slide id More...

## Public Attributes
std::string | m_fontFamily
| the basic pc font family if known More...
MWAWVec2i | m_pageDimension
| the page dimension More...
std::shared_ptr< PowerPoint7Graph > | m_graphParser
| the graph parser More...
std::shared_ptr< PowerPoint7Text > | m_textParser
| the text parser More...
std::shared_ptr< PowerPoint3OLE > | m_oleParser
| the ole parser More...
std::vector< PowerPoint7Struct::SlideId > | m_slideList
| the list of slides More...
std::map< PowerPoint7Struct::SlideId, librevenge::RVNGString > | m_masterSlideIdToNameMap
| the master slide More...
std::map< PowerPoint7Struct::SlideId, PowerPoint7Struct::SlideId > | m_idToMasterIdMap
| the slideId to masterId slide More...
std::map< PowerPoint7Struct::SlideId, SlideInfo > | m_idToSlideInfoMap
| the slideId to information slide More...
std::stack< PowerPoint7Struct::SlideId > | m_slideIdStack
| a stack of slide id More...
std::stack< std::vector< MWAWColor > > | m_colorListStack
| a stack of color list More...

## Detailed Description

Internal: the state of a PowerPoint7Parser.

## Constructor & Destructor Documentation

## ◆ State()

PowerPoint7ParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addSlide()

void PowerPoint7ParserInternal::State::addSlide | ( | PowerPoint7Struct::SlideId const & | sId,
|  | PowerPoint7Struct::SlideId const & | mId
| ) |  |
| inline

add a slide

## ◆ popColorList()

void PowerPoint7ParserInternal::State::popColorList | ( |  | ) |
| inline

pop a slide id

## ◆ popSlideId()

void PowerPoint7ParserInternal::State::popSlideId | ( |  | ) |
| inline

pop a slide id

## ◆ pushColorList()

void PowerPoint7ParserInternal::State::pushColorList | ( | std::vector< MWAWColor > const & | colorList | ) |
| inline

push a new slide id

## ◆ pushSlideId()

void PowerPoint7ParserInternal::State::pushSlideId | ( | PowerPoint7Struct::SlideId const & | id | ) |
| inline

push a new slide id

## Member Data Documentation

## ◆ m_colorListStack

std::stack<std::vector<MWAWColor> > PowerPoint7ParserInternal::State::m_colorListStack

a stack of color list

Referenced by popColorList(), and pushColorList().

## ◆ m_fontFamily

std::string PowerPoint7ParserInternal::State::m_fontFamily

the basic pc font family if known

## ◆ m_graphParser

std::shared_ptr<PowerPoint7Graph> PowerPoint7ParserInternal::State::m_graphParser

the graph parser

Referenced by popColorList(), popSlideId(), pushColorList(), and pushSlideId().

## ◆ m_idToMasterIdMap

std::map<PowerPoint7Struct::SlideId, PowerPoint7Struct::SlideId> PowerPoint7ParserInternal::State::m_idToMasterIdMap

the slideId to masterId slide

Referenced by addSlide().

## ◆ m_idToSlideInfoMap

std::map<PowerPoint7Struct::SlideId, SlideInfo> PowerPoint7ParserInternal::State::m_idToSlideInfoMap

the slideId to information slide

## ◆ m_masterSlideIdToNameMap

std::map<PowerPoint7Struct::SlideId, librevenge::RVNGString> PowerPoint7ParserInternal::State::m_masterSlideIdToNameMap

the master slide

Referenced by addSlide().

## ◆ m_oleParser

std::shared_ptr<PowerPoint3OLE> PowerPoint7ParserInternal::State::m_oleParser

the ole parser

## ◆ m_pageDimension

MWAWVec2i PowerPoint7ParserInternal::State::m_pageDimension

the page dimension

## ◆ m_slideIdStack

std::stack<PowerPoint7Struct::SlideId> PowerPoint7ParserInternal::State::m_slideIdStack

a stack of slide id

Referenced by popSlideId(), and pushSlideId().

## ◆ m_slideList

std::vector<PowerPoint7Struct::SlideId> PowerPoint7ParserInternal::State::m_slideList

the list of slides

Referenced by addSlide().

## ◆ m_textParser

std::shared_ptr<PowerPoint7Text> PowerPoint7ParserInternal::State::m_textParser

the text parser

The documentation for this struct was generated from the following file:

- PowerPoint7Parser.cxx